flex-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Mario Souza <mario.so...@vizexplorer.com>
Subject Re: Updated Flexmojos 7.1.0-SNAPSHOT
Date Sun, 12 Apr 2015 21:23:49 GMT
Cool!
Thank you for your efforts on this!

Marvin showed me a Google Reminder about the Flexmojos 7th bday.. that's
nice!

:)




*Mario Souza*Front-End Developer



Level 3, 54-56 Cambridge Terrace
PO Box 19204, Wellington 6011
New Zealand

*M.* +64 021 082 71135 | *W.* www.vizexplorer.com

On 12 April 2015 at 05:45, Christofer Dutz <christofer.dutz@c-ware.de>
wrote:

> Hi,
>
> Just in time for Flexmojos 7th. birthday (release of first public beta
> 1.0-beta1 was on 12.04.2008) I wanted to report, that I just updated the
> latest 7.1.0 SNAPSHOT.
>
> In contrast to the latest released version 7.0.1, this version hast he
> following changes:
>
> -          Support for Maven > 3.1.x
>
> -          Support for swfVersions up to 28 for Flashplayers up to version
> 17
>
> -          Initial support for Falcon and FlexJS and the Flex-Tool-API
> 1.0.0 (Eventually even full support with the current efforts in the FlexJS
> team to bundle the JS resources with the swcs)
>
> -          Removed direct dependencies to the FDK
>
> -          Removed the threadlocaltoolkit
>
> -          Added support for the Mavenizer and automatic downloading and
> conversion of Flash and Air libraries
>
> -          Added support for the updated FDK structure generated by the
> Mavenizer
>
> -          Fixed a number of bugs with the commandline arguments
>
> This version no longer works 100% with Maven versions below 3.1.0.
> Adjusted FM to the latest updates of the Apache Flex Mavenizer. Starting
> with this version you need to explicitly add a dependency to:
>
> <dependency>
>                 <groupId>com.adobe</groupId>
> <artifactId>fontkit</artifactId>
> <version>1.0</version>
> </dependency>
>
> as a plugin dependency to flexmojos, if you want to use the font encoding
> features.
>
> Last not least you no longer need to add the threadlocaltoolkit dependency
> when embedding resources (Actually the module no longer exists).
>
> As soon as the Apache Flex Mavenizer 1.0.0 is released (some time soon), I
> will finish the integration of it into Flexmjos and do the 7.1.0 release.
>
> Chris
>
>

Mime
  • Unnamed multipart/related (inline, None, 0 bytes)
View raw message